lector-spinner {
    padding: 0 5px;
    display: flex;
    align-items: center;
    color: var(--spinner-accent, var(--accent));

    --blade-width: calc(var(--size) * 0.06);
}

lector-spinner[center] {
    justify-content: center;
}

lector-spinner[full] {
    width: 100%;
}

lector-spinner .spinner {
    transform: rotateZ(45deg);
    perspective: 1000px;
    border-radius: 50%;
    width: var(--size);
    height: var(--size);
}

lector-spinner .spinner:before,
lector-spinner .spinner:after {
    content: "";
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    width: inherit;
    height: inherit;
    border-radius: 50%;
    transform: rotateX(70deg);
    animation: 1s spinner-spin linear infinite;
}

lector-spinner .spinner:after {
    color: var(--spinner-main, var(--main));
    transform: rotateY(70deg);
    animation-delay: 0.4s;
}

lector-spinner .spinner-message {
    font-size: large;
    font-weight: 700;
    color: var(--main);
    margin-right: 20px;
}

@keyframes rotate {
    0% {
        transform: translate(-50%, -50%) rotateZ(0deg);
    }
    100% {
        transform: translate(-50%, -50%) rotateZ(360deg);
    }
}

@keyframes rotateccw {
    0% {
        transform: translate(-50%, -50%) rotate(0deg);
    }
    100% {
        transform: translate(-50%, -50%) rotate(-360deg);
    }
}

@keyframes spinner-spin {
    0%,
    100% {
        box-shadow: var(--blade-width) 0px 0 0px currentcolor;
    }
    12% {
        box-shadow: var(--blade-width) var(--blade-width) 0 0 currentcolor;
    }
    25% {
        box-shadow: 0 var(--blade-width) 0 0px currentcolor;
    }
    37% {
        box-shadow: calc(var(--blade-width) * -1) var(--blade-width) 0 0 currentcolor;
    }
    50% {
        box-shadow: calc(var(--blade-width) * -1) 0 0 0 currentcolor;
    }
    62% {
        box-shadow: calc(var(--blade-width) * -1) calc(var(--blade-width) * -1) 0 0 currentcolor;
    }
    75% {
        box-shadow: 0px calc(var(--blade-width) * -1) 0 0 currentcolor;
    }
    87% {
        box-shadow: var(--blade-width) calc(var(--blade-width) * -1) 0 0 currentcolor;
    }
}